### Hierarchy

- Svg

## Index

### Properties

- data
- dataJson
- el
- src
- svgElementClick
- svgResult
- type

### Methods

- componentDidLoad
- componentDidUpdate
- getElements
- loadSvg
- parseSvg
- render
- renderSvg
- setClickHandlers
- svgElementClickHandler

## Properties

### data

data: any

- Defined in svg/svg.tsx:19

### dataJson

dataJson: any

- Defined in svg/svg.tsx:22

### el

el: HTMLElement

- Defined in svg/svg.tsx:17

### src

src: string

- Defined in svg/svg.tsx:23

### svgElementClick

svgElementClick: EventEmitter

- Defined in svg/svg.tsx:102

### svgResult

svgResult: string

- Defined in svg/svg.tsx:20

### type

type: string = "template"

- Defined in svg/svg.tsx:24

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in svg/svg.tsx:26

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in svg/svg.tsx:28

  #### Returns void

### getElements

- getElements(): any[]

- - Defined in svg/svg.tsx:73

  #### Returns any[]

### loadSvg

- loadSvg(): Promise<any>

- - Defined in svg/svg.tsx:30

  #### Returns Promise<any>

### parseSvg

- parseSvg(svgResult: string): void

- - Defined in svg/svg.tsx:40

  #### Parameters

  - ##### svgResult: string

  #### Returns void

### render

- render(): Element

- - Defined in svg/svg.tsx:192

  #### Returns Element

### renderSvg

- renderSvg(): void

- - Defined in svg/svg.tsx:127

  #### Returns void

### setClickHandlers

- setClickHandlers(): void

- - Defined in svg/svg.tsx:116

  #### Returns void

### svgElementClickHandler

- svgElementClickHandler(e: Event): void

- - Defined in svg/svg.tsx:103

  #### Parameters

  - ##### e: Event

  #### Returns void